Subject: bug#619: elogind crashes with needrestart's defaults

From: Rene Kita <[email-masked]>
Date: Mon, 18 Oct 2021 15:59:53 +0200

(Mark: Sorry, if this message reaches you twice. I accidentally send it via my
work account)

On Mon, Oct 18, 2021 at 12:23:35PM +0100, Mark Hindley wrote:
> On Mon, Oct 18, 2021 at 12:03:09PM +0100, Mark Hindley wrote:
> > Thanks.
> >
> > It looks as if needrestart needs to know how to restart elogind gracefully
+with
> > SIGINT.
>
> Actually, AFAICS on a quick look at needrestart, it should work OK.
>
> Hmmm. Can you verify that
>
>  sudo service elogind restart
>
> works without crashing your GUI?
# service elogind restart

crashes the GUI. And I have to use Magic SysRq with 'r' command to get
my keyboard back. I tested this on two different laptops.

>
> That should be OK since about 239.3
>
> Which version of Devuan and elogind did you upgrade to Chimaera from? Did you
> start from ASCII and miss out Beowulf?
At least on one machine I did start out from Beowulf. Another one was
installed from the Chimaera Alpha installer.
I only use the elogind version from the repos and do not skip any updates.

> Mark
Rene